MockAsyncContext (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.plugins.testing

## [Groovy] Class MockAsyncContext

- org.grails.plugins.testing.MockAsyncContext

- All Implemented Interfaces and Traits:
    javax.servlet.AsyncContext

      class MockAsyncContext

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List` | `asyncListeners`
    `java.lang.String` | `dispatchUri`
    `javax.servlet.ServletRequest` | `request`
    `javax.servlet.ServletResponse` | `response`
    `long` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockAsyncContext (javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addListener(javax.servlet.AsyncListener listener)`
    `` | `void` | `addListener(javax.servlet.AsyncListener listener, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`
    `` | `void` | `complete()`
    `<T extends AsyncListener>` | `T` | `createListener(java.lang.Class<T> clazz)`
    `` | `void` | `dispatch()`
    `` | `void` | `dispatch(java.lang.String path)`
    `` | `void` | `dispatch(javax.servlet.ServletContext context, java.lang.String path)`
    `` | `boolean` | `hasOriginalRequestAndResponse()`
    `` | `void` | `start(java.lang.Runnable run)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.List asyncListeners

    - #### java.lang.String dispatchUri

    - #### javax.servlet.ServletRequest request

    - #### javax.servlet.ServletResponse response

    - #### long timeout

  - ### Constructor Detail

    - #### MockAsyncContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

  - ### Method Detail

    - #### void addListener(javax.servlet.AsyncListener listener)

    - #### void addListener(javax.servlet.AsyncListener listener, javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)

    - #### void complete()

    - #### <T extends AsyncListener> T createListener(java.lang.Class<T> clazz)

    - #### void dispatch()

    - #### void dispatch(java.lang.String path)

    - #### void dispatch(javax.servlet.ServletContext context, java.lang.String path)

    - #### boolean hasOriginalRequestAndResponse()

    - #### void start(java.lang.Runnable run)